//
//  UITextField+WoolyUIKit.m
//
//	The MIT License (MIT)
//
//	Copyright (c) 2013 Wooly Beast Software
//
//	Permission is hereby granted, free of charge, to any person obtaining a copy
//	of this software and associated documentation files (the "Software"), to deal
//	in the Software without restriction, including without limitation the rights
//	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//	copies of the Software, and to permit persons to whom the Software is
//	furnished to do so, subject to the following conditions:
//
//	The above copyright notice and this permission notice shall be included in
//	all copies or substantial portions of the Software.
//
//	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
//	THE SOFTWARE.
//

#import "UITextField+WoolyUIKit.h"

#define USE_UNICODE	(!0)
static NSString * const kUnicodeCheckMark = @"\u2714";
static NSString * const kUnicodeCrossMark = @"\u274C";

@implementation UITextField(WoolyUIKit)
/*
 *
 *
 *
 */
- (void)showInvalidTextIndicator:(BOOL)show
{
	UIView * view = nil;
	UITextFieldViewMode mode = UITextFieldViewModeNever;
	
	if ( show && self.text.length > 0 ) {
		CGRect frame = self.bounds;
		frame.size.height = frame.size.width = roundf(frame.size.height * (2.0/3.0));
		UILabel *label = [[UILabel alloc] initWithFrame:frame];
#if !__has_feature(objc_arc)
		[label autorelease];
#endif
		label.backgroundColor = [UIColor clearColor];
		label.font = [UIFont systemFontOfSize:24.0];
		label.text = kUnicodeCrossMark;
		
		view = label;
		mode = UITextFieldViewModeAlways;
	}
	
	self.leftView = view;
	self.leftViewMode = mode;
}
@end
